unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    Shape1: TShape;
    Label1: TLabel;
    Shape2: TShape;
    Label2: TLabel;
    Shape3: TShape;
    Label3: TLabel;
    Shape4: TShape;
    Label4: TLabel;
    Shape5: TShape;
    Shape6: TShape;
    Shape7: TShape;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Shape8: TShape;
    Shape9: TShape;
    Shape10: TShape;
    Shape11: TShape;
    Shape12: TShape;
    Shape13: TShape;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label14: TLabel;
    Shape14: TShape;
    Shape15: TShape;
    Shape16: TShape;
    Shape17: TShape;
    Shape18: TShape;
    Shape19: TShape;
    Shape20: TShape;
    Shape21: TShape;
    Shape22: TShape;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label13: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    BitBtn1: TBitBtn;
    Shape23: TShape;
    Label21: TLabel;
    Shape25: TShape;
    Label23: TLabel;
    Shape26: TShape;
    Label26: TLabel;
    Shape27: TShape;
    Label27: TLabel;
    Shape24: TShape;
    Label22: TLabel;
    Shape28: TShape;
    Label28: TLabel;
    Shape29: TShape;
    Label29: TLabel;
    Shape30: TShape;
    Label30: TLabel;
    Shape31: TShape;
    Label31: TLabel;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    BitBtn6: TBitBtn;
    Label32: TLabel;
    Label33: TLabel;
    Label34: TLabel;
    Label35: TLabel;
    Label36: TLabel;
    Label37: TLabel;
    Label38: TLabel;
    Label39: TLabel;
    Label40: TLabel;
    Label41: TLabel;
    Label42: TLabel;
    Label43: TLabel;
    Label44: TLabel;
    Label45: TLabel;
    BitBtn7: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn7Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject);
    procedure BitBtn6Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  b:string;
implementation
  const
   v1='ОКРУЖНОСТЬ';
   v2='ТУПОЙ';
   v3='УГОЛ';
   v4= 'СЕКТОР';
   v5= 'ДРОБЬ';
   v6=  'РАЗМАХ';

{$R *.dfm}
procedure TForm1.FormCreate(Sender: TObject);
begin
     Label1.Visible:=false;
     Label2.Visible:=false;
     Label3.Visible:=false;
     Label4.Visible:=false;
     Label5.Visible:=false;
     Label6.Visible:=false;
     Label7.Visible:=false;
     Label8.Visible:=false;
     Label9.Visible:=false;
     Label10.Visible:=false;
     Label11.Visible:=false;
     Label12.Visible:=false;
     Label13.Visible:=false;
     Label14.Visible:=false;
     Label15.Visible:=false;
     Label16.Visible:=false;
     Label17.Visible:=false;
     Label18.Visible:=false;
      Label19.Visible:=false;
       Label20.Visible:=false;
        Label21.Visible:=false;
         Label22.Visible:=false;
          Label23.Visible:=false;
           Label24.Visible:=false;
            Label25.Visible:=false;
             Label26.Visible:=false;
              Label27.Visible:=false;

        Label28.Visible:=false;
         Label29.Visible:=false;
          Label30.Visible:=false;
           Label31.Visible:=false;
  end;
 procedure TForm1.BitBtn7Click(Sender: TObject);
begin
  close
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  b:=InputBox('','Введите ответ заглавными буквами','');
   if b=v1 then begin
       Label7.Visible:=true;
       Label5.Visible:=true;
       Label6.Visible:=true;
       Label1.Visible:=true;
       Label14.Visible:=true;
       Label9.Visible:=true;
       Label12.Visible:=true;
       Label10.Visible:=true;
       Label11.Visible:=true;
       Label8.Visible:=true;
     end
     else showmessage('Подумай ');
     end;


procedure TForm1.BitBtn2Click(Sender: TObject);
begin
     b:=InputBox('','Введите ответ заглавными буквами','');
   if b=v2 then begin
       Label15.Visible:=true;
       Label17.Visible:=true;
       Label16.Visible:=true;
       Label3.Visible:=true;
       Label19.Visible:=true;
    end
   else showmessage('Подумай ');
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
    b:=InputBox('','Введите ответ заглавными буквами','');
   if b=v3 then begin
       Label1.Visible:=true;
       Label2.Visible:=true;
       Label3.Visible:=true;
       Label4.Visible:=true;
    END
       else showmessage('Подумай ');
end;

procedure TForm1.BitBtn4Click(Sender: TObject);
begin
    b:=InputBox('','Введите ответ заглавными буквами','');
   if b=v4 then begin
       Label10.Visible:=true;
       Label18.Visible:=true;
       Label20.Visible:=true;
       Label13.Visible:=true;
       Label24.Visible:=true;
       Label25.Visible:=true;
      END
     else showmessage('Подумай ');
end;

procedure TForm1.BitBtn5Click(Sender: TObject);
begin
    b:=InputBox('','Введите ответ заглавными буквами','');
   if b=v5 then begin
       Label27.Visible:=true;
       Label21.Visible:=true;
       Label25.Visible:=true;
       Label23.Visible:=true;
       Label26.Visible:=true;
       END
       else showmessage('Подумай ');
end;

procedure TForm1.BitBtn6Click(Sender: TObject);
begin
   b:=InputBox('','Введите ответ заглавными буквами','');
   if b=v6 then begin
       Label27.Visible:=true;
       Label22.Visible:=true;
       Label28.Visible:=true;
       Label29.Visible:=true;
       Label30.Visible:=true;
       Label31.Visible:=true;
    END
     else showmessage('Подумай ');
end;

end.
